com.intellectualcrafters.plot.util

## Class SchematicHandler

- java.lang.Object
- - com.intellectualcrafters.plot.util.SchematicHandler

-     public class SchematicHandler
      extends java.lang.Object

  Schematic Handler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SchematicHandler.DataCollection` Schematic Data Collection
    `static class` | `SchematicHandler.Dimension` Schematic Dimensions
    `static class` | `SchematicHandler.Schematic` Schematic Class

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchematicHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CompoundTag` | `getCompoundTag(org.bukkit.World world, PlotId id)` Gets the schematic of a plot
    `static SchematicHandler.Schematic` | `getSchematic(java.lang.String name)` Get a schematic
    `static boolean` | `paste(org.bukkit.Location location, SchematicHandler.Schematic schematic, Plot plot, int x_offset, int z_offset)` Paste a schematic
    `static boolean` | `pastePart(org.bukkit.World world, SchematicHandler.DataCollection[] blocks, org.bukkit.Location l1, int x_offset, int z_offset, int i1, int i2, int WIDTH, int LENGTH)`
    `static boolean` | `save(CompoundTag tag, java.lang.String path)` Saves a schematic to a file path

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchematicHandler

          public SchematicHandler()

  - ### Method Detail

    - #### paste

          public static boolean paste(org.bukkit.Location location,
                      SchematicHandler.Schematic schematic,
                      Plot plot,
                      int x_offset,
                      int z_offset)

      Paste a schematic
      Parameters:
        `location` - origin
        `schematic` - schematic to paste
        `plot` - plot to paste in
      Returns:
        true if succeeded

    - #### getSchematic

          public static SchematicHandler.Schematic getSchematic(java.lang.String name)

      Get a schematic
      Parameters:
        `name` - to check
      Returns:
        schematic if found, else null

    - #### save

          public static boolean save(CompoundTag tag,
                     java.lang.String path)

      Saves a schematic to a file path
      Parameters:
        `tag` - to save
        `path` - to save in
      Returns:
        true if succeeded

    - #### getCompoundTag

          public static CompoundTag getCompoundTag(org.bukkit.World world,
                                   PlotId id)

      Gets the schematic of a plot
      Parameters:
        `world` - to check
        `id` - plot
      Returns:
        tag

    - #### pastePart

          public static boolean pastePart(org.bukkit.World world,
                          SchematicHandler.DataCollection[] blocks,
                          org.bukkit.Location l1,
                          int x_offset,
                          int z_offset,
                          int i1,
                          int i2,
                          int WIDTH,
                          int LENGTH)